Index: /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro	(revision 93)
+++ /trunk/src/paper01/fig3/air_validation_scatter_2000_2009_v50.pro	(revision 94)
@@ -147,10 +147,12 @@
 file=project_id_env+'erai_t2m_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-unc=read_ncdf('t2m',date1,date2,file=file,/nostr) & unc=unc-273.15
+unc=read_ncdf('t2m',date1,date2,file=file,/nostr) 
+unc=unc-273.15
 help, unc
 
 file=project_id_env+'TropFlux_t2m_19890101_20091231_v50.nc'
 initncdf, file
-cor=read_ncdf('t2m',date1,date2,file=file,/nostr) & cor=cor-273.15
+cor=read_ncdf('t2m',date1,date2,file=file,/nostr) 
+cor=cor-273.15
 help, cor
 
@@ -177,10 +179,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
@@ -219,6 +224,11 @@
 
 
-    ind=where(finite(air)) & air=air(ind) & uncr_air=uncr(ind)  & corr_air=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & ncep1=ncep1(ind)
+    ind=where(finite(air)) 
+    air=air(ind) 
+    uncr_air=uncr(ind)  
+    corr_air=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    ncep1=ncep1(ind)
     mean_tao=total(air,/nan)/n_elements(ind)
 
@@ -246,9 +256,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -264,5 +279,6 @@
 oplot, [22,31], [22,31]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -272,9 +288,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -291,5 +312,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -299,9 +321,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -318,8 +345,7 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
-
-
 
 fi_air_ncep=project_id_env+'air_2000_2009_ncep_v50.txt'
@@ -328,9 +354,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*)) 
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -347,5 +378,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -355,9 +387,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -374,5 +411,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro	(revision 93)
+++ /trunk/src/paper01/fig3/q2m_validation_scatter_2000_2009_v50.pro	(revision 94)
@@ -179,10 +179,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
@@ -220,6 +223,11 @@
      ncep1=tropflux
 
-    ind=where(finite(q2m)) & q2m=q2m(ind) & uncr_q2m=uncr(ind)  & corr_q2m=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & ncep1=ncep1(ind)
+    ind=where(finite(q2m)) 
+    q2m=q2m(ind) 
+    uncr_q2m=uncr(ind)  
+    corr_q2m=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    ncep1=ncep1(ind)
     mean_tao=total(q2m,/nan)/n_elements(ind)
 
@@ -247,9 +255,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -265,5 +278,6 @@
 oplot, [11,21], [11,21]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -273,9 +287,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -292,5 +311,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -300,9 +320,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -319,5 +344,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -328,9 +354,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -347,5 +378,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -355,9 +387,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -374,5 +411,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig3/read_variables_v2.pro
===================================================================
--- /trunk/src/paper01/fig3/read_variables_v2.pro	(revision 93)
+++ /trunk/src/paper01/fig3/read_variables_v2.pro	(revision 94)
@@ -207,6 +207,8 @@
 endelse
 
-ind_at=where(at_q ne 1 and at_q ne 2)   &  ind_ws=where(ws_q ne 1 and ws_q ne 2)
-ind_rh=where(rh_q ne 1 and rh_q ne 2)   &  ind_sst=where(sst_q ne 1 and sst_q ne 2)
+ind_at=where(at_q ne 1 and at_q ne 2)   
+ind_ws=where(ws_q ne 1 and ws_q ne 2)
+ind_rh=where(rh_q ne 1 and rh_q ne 2)   
+ind_sst=where(sst_q ne 1 and sst_q ne 2)
 ind_lh=where(lh_q ne 1 and lh_q ne 2)
 
@@ -214,8 +216,12 @@
 
 if (ind(0) ne -1) then begin
-  sw(ind)=!Values.f_nan   &   at(ind)=!Values.f_nan
-  rh(ind)=!Values.f_nan   &   ws(ind)=!Values.f_nan
-  sst(ind)=!Values.f_nan  &   lh(ind)=!Values.f_nan
-  wu(ind)=!Values.f_nan  &    wv(ind)=!Values.f_nan
+  sw(ind)=!Values.f_nan   
+  at(ind)=!Values.f_nan
+  rh(ind)=!Values.f_nan   
+  ws(ind)=!Values.f_nan
+  sst(ind)=!Values.f_nan  
+  lh(ind)=!Values.f_nan
+  wu(ind)=!Values.f_nan  
+  wv(ind)=!Values.f_nan
 endif
 ;
@@ -227,13 +233,18 @@
 for n=0,nn-1 do begin
   var=vars(n)
-  com='ind=where('+var+' ge 1.e20) & if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
+  com='ind=where('+var+' ge 1.e20) 
+  if (ind(0) ne -1) then '+var+'(ind)=!values.f_nan'
   r=execute(com)
 endfor
 
 nsmooth=nsmooth
-at=smooth(at,nsmooth,/nan) & sst=smooth(sst,nsmooth,/nan)
-lh=smooth(lh,nsmooth,/nan) & rh=smooth(rh,nsmooth,/nan)
-wu=smooth(wu,nsmooth,/nan) & wv=smooth(wv,nsmooth,/nan)
-ws=smooth(ws,nsmooth,/nan) & sw=smooth(sw,nsmooth,/nan)
+at=smooth(at,nsmooth,/nan) 
+sst=smooth(sst,nsmooth,/nan)
+lh=smooth(lh,nsmooth,/nan) 
+rh=smooth(rh,nsmooth,/nan)
+wu=smooth(wu,nsmooth,/nan) 
+wv=smooth(wv,nsmooth,/nan)
+ws=smooth(ws,nsmooth,/nan) 
+sw=smooth(sw,nsmooth,/nan)
 
 end
@@ -242,5 +253,6 @@
 function time_lec, fi
 tt=ncdf_lec(fi,var='time')
-fid=ncdf_open(fi) & vid=ncdf_varid(fid,'time')
+fid=ncdf_open(fi) 
+vid=ncdf_varid(fid,'time')
 ncdf_attget, fid,vid,'units',orig
 orig=string(orig)
Index: /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro	(revision 93)
+++ /trunk/src/paper01/fig3/sst_validation_scatter_2000_2009_v50.pro	(revision 94)
@@ -144,10 +144,12 @@
 file=project_id_env+'erai_sst_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-unc=read_ncdf('sst',date1,date2,file=file,/nostr) & unc=unc-273.15
+unc=read_ncdf('sst',date1,date2,file=file,/nostr) 
+unc=unc-273.15
 help, unc
 
 file=project_id_env+'TropFlux_sst_19890101_20091231_v20.nc'
 initncdf, file
-cor=read_ncdf('sst',date1,date2,file=file,/nostr) & cor=cor-273.15
+cor=read_ncdf('sst',date1,date2,file=file,/nostr) 
+cor=cor-273.15
 help, cor
 
@@ -179,15 +181,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws,lh
 
 
-    ind=where(finite(sst)) & valid=n_elements(ind)
+    ind=where(finite(sst)) 
+    valid=n_elements(ind)
 
     if (valid ge 180) then begin
@@ -221,6 +227,12 @@
 
 
-      ind=where(finite(sst)) & sst=sst(ind) & uncr_sst=uncr(ind)  & corr_sst=corr(ind)
-      oafl=oafl(ind) & ncep=ncep(ind) & tmi=tmi(ind) & ncep1=ncep1(ind)
+      ind=where(finite(sst)) 
+      sst=sst(ind) 
+      uncr_sst=uncr(ind)  
+      corr_sst=corr(ind)
+      oafl=oafl(ind) 
+      ncep=ncep(ind) 
+      tmi=tmi(ind) 
+      ncep1=ncep1(ind)
       mean_tao=total(sst,/nan)/n_elements(ind)
 
@@ -251,9 +263,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -269,5 +286,6 @@
 oplot, [22,31], [22,31]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -277,9 +295,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -296,5 +319,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -304,9 +328,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -323,5 +352,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -333,9 +363,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -352,5 +387,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -361,9 +397,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tm=reform(ff(2,*))   & cor_tmi=total(cor_tm)/n_elements(cor_tm)
-bias_tm=reform(ff(3,*))  & bias_tmi=total(bias_tm)/n_elements(bias_tm)
-std_tm=reform(ff(4,*))   & std_tmi=total(std_tm)/n_elements(std_tm)
-rmsd_tm=reform(ff(5,*))  & rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
-mean_tao=reform(ff(6,*))  & mean_tmi=bias_tm+mean_tao
+cor_tm=reform(ff(2,*))   
+cor_tmi=total(cor_tm)/n_elements(cor_tm)
+bias_tm=reform(ff(3,*))  
+bias_tmi=total(bias_tm)/n_elements(bias_tm)
+std_tm=reform(ff(4,*))   
+std_tmi=total(std_tm)/n_elements(std_tm)
+rmsd_tm=reform(ff(5,*))  
+rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
+mean_tao=reform(ff(6,*))  
+mean_tmi=bias_tm+mean_tao
 
 print, ''
@@ -380,5 +421,6 @@
 
 ab=linfit(mean_tao, mean_tmi,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -388,9 +430,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -407,5 +454,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
Index: /trunk/src/paper01/fig3/statistics_3var_v1.pro
===================================================================
--- /trunk/src/paper01/fig3/statistics_3var_v1.pro	(revision 93)
+++ /trunk/src/paper01/fig3/statistics_3var_v1.pro	(revision 94)
@@ -53,11 +53,17 @@
 
 @cm_project
-x=tao & y=var1 & z=var2
+x=tao 
+y=var1 
+z=var2
 
-ind1=where(finite(x,/nan)) & ind2=where(finite(y,/nan)) & ind3=where(finite(z,/nan))
+ind1=where(finite(x,/nan)) 
+ind2=where(finite(y,/nan)) 
+ind3=where(finite(z,/nan))
 ind=inter(ind1,union(ind2,ind3))
 
 if (ind ne -1.) then begin
-   x(ind)=!Values.f_nan & y(ind)=!Values.f_nan & z(ind)=!Values.f_nan
+   x(ind)=!Values.f_nan 
+   y(ind)=!Values.f_nan 
+   z(ind)=!Values.f_nan
 endif
 
@@ -68,21 +74,36 @@
 z=ts_smooth(z,nsmooth,/nan)
 
-ind1=where(finite(x)) & ind2=where(finite(y)) & ind3=where(finite(z))
+ind1=where(finite(x))
+ind2=where(finite(y))
+ind3=where(finite(z))
 ind=inter(ind1,inter(ind2,ind3))
-x=x(ind) & y=y(ind) & z=z(ind)
+x=x(ind)
+y=y(ind)
+z=z(ind)
 nn=n_elements(ind)
 
-cor1=correlate(x,y) & cor2=correlate(x,z)  ;; cor1=correlation(tropflux,tao) cor2=correlation(tropflux,rec)
+cor1=correlate(x,y)
+cor2=correlate(x,z)  
+;; cor1=correlation(tropflux,tao) cor2=correlation(tropflux,rec)
 xxx=moment(x)
-mean1=xxx(0) & std1=sqrt(xxx(1))    ;; mean1 and std1 --> for tropflux
+; mean1 and std1 --> for tropflux
+mean1=xxx(0) 
+std1=sqrt(xxx(1)) 
 xxx=moment(y)
-mean2=xxx(0) & std2=sqrt(xxx(1))    ;; mean2 and std2 --> for tao
+;; mean2 and std2 --> for tao
+mean2=xxx(0) 
+std2=sqrt(xxx(1))
 xxx=moment(z)
-mean3=xxx(0) & std3=sqrt(xxx(1))    ;; mean3 and std3 --> for rec
+;; mean3 and std3 --> for rec
+mean3=xxx(0) 
+std3=sqrt(xxx(1))    
 
-bias1=mean2-mean1 & st1=std2/std1
-bias2=mean3-mean1 & st2=std3/std1
+bias1=mean2-mean1
+st1=std2/std1
+bias2=mean3-mean1 
+st2=std3/std1
 
-std1=st1 & std2=st2
+std1=st1 
+std2=st2
 rmsd1=sqrt(total((x-y)*(x-y))/n_elements(x))
 rmsd2=sqrt(total((x-z)*(x-z))/n_elements(x))
Index: /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro
===================================================================
--- /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro	(revision 93)
+++ /trunk/src/paper01/fig3/ws_validation_scatter_2000_2009_v50.pro	(revision 94)
@@ -113,5 +113,6 @@
 ocean='global'
 
-da1=10000101 & da2=10081231
+da1=10000101 
+da2=10081231
 nsmooth=1.    ;; statistics are with 7 day smoothed
 ;;   This program will create the following text files with statistics of respective variables
@@ -188,10 +189,13 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
     read_variables_v2, csite,date1,date2,nsmooth, $
          at, sw,rh,sst,wu,wv,ws, lh
@@ -226,6 +230,12 @@
      ncep1=tropflux
 
-    ind=where(finite(ws)) & ws=ws(ind) & uncr_ws=uncr(ind)  & corr_ws=corr(ind)
-    oafl=oafl(ind) & ncep=ncep(ind) & tmi=tmi(ind) & ncep1=ncep1(ind)
+    ind=where(finite(ws)) 
+    ws=ws(ind) 
+    uncr_ws=uncr(ind)  
+    corr_ws=corr(ind)
+    oafl=oafl(ind) 
+    ncep=ncep(ind) 
+    tmi=tmi(ind) 
+    ncep1=ncep1(ind)
 
     mean_tao=total(ws)/n_elements(ws)
@@ -254,9 +264,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_era=reform(ff(2,*))   & cor_erai=total(cor_era)/n_elements(cor_era)
-bias_era=reform(ff(3,*))  & bias_erai=total(bias_era)/n_elements(bias_era)
-std_era=reform(ff(4,*))   & std_erai=total(std_era)/n_elements(std_era)
-rmsd_era=reform(ff(5,*))  & rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
-mean_tao=reform(ff(6,*))  & mean_erai=bias_era+mean_tao
+cor_era=reform(ff(2,*))   
+cor_erai=total(cor_era)/n_elements(cor_era)
+bias_era=reform(ff(3,*))  
+bias_erai=total(bias_era)/n_elements(bias_era)
+std_era=reform(ff(4,*))   
+std_erai=total(std_era)/n_elements(std_era)
+rmsd_era=reform(ff(5,*))  
+rmsd_erai=total(rmsd_era)/n_elements(rmsd_era)
+mean_tao=reform(ff(6,*))  
+mean_erai=bias_era+mean_tao
 
 print, ''
@@ -272,5 +287,6 @@
 oplot, [2,10], [2,10]
 ab=linfit(mean_tao, mean_erai,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -280,9 +296,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tro=reform(ff(2,*))   & cor_trop=total(cor_tro)/n_elements(cor_tro)
-bias_tro=reform(ff(3,*))  & bias_trop=total(bias_tro)/n_elements(bias_tro)
-std_tro=reform(ff(4,*))   & std_trop=total(std_tro)/n_elements(std_tro)
-rmsd_tro=reform(ff(5,*))  & rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
-mean_tao=reform(ff(6,*))  & mean_trop=bias_tro+mean_tao
+cor_tro=reform(ff(2,*))   
+cor_trop=total(cor_tro)/n_elements(cor_tro)
+bias_tro=reform(ff(3,*))  
+bias_trop=total(bias_tro)/n_elements(bias_tro)
+std_tro=reform(ff(4,*))   
+std_trop=total(std_tro)/n_elements(std_tro)
+rmsd_tro=reform(ff(5,*))  
+rmsd_trop=total(rmsd_tro)/n_elements(rmsd_tro)
+mean_tao=reform(ff(6,*))  
+mean_trop=bias_tro+mean_tao
 
 print, ''
@@ -299,5 +320,6 @@
 
 ab=linfit(mean_tao, mean_trop,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -307,9 +329,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_oaf=reform(ff(2,*))   & cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
-bias_oaf=reform(ff(3,*))  & bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
-std_oaf=reform(ff(4,*))   & std_oafl=total(std_oaf)/n_elements(std_oaf)
-rmsd_oaf=reform(ff(5,*))  & rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
-mean_tao=reform(ff(6,*))  & mean_oafl=bias_oaf+mean_tao
+cor_oaf=reform(ff(2,*))   
+cor_oafl=total(cor_oaf)/n_elements(cor_oaf)
+bias_oaf=reform(ff(3,*))  
+bias_oafl=total(bias_oaf)/n_elements(bias_oaf)
+std_oaf=reform(ff(4,*))   
+std_oafl=total(std_oaf)/n_elements(std_oaf)
+rmsd_oaf=reform(ff(5,*))  
+rmsd_oafl=total(rmsd_oaf)/n_elements(rmsd_oaf)
+mean_tao=reform(ff(6,*))  
+mean_oafl=bias_oaf+mean_tao
 
 print, ''
@@ -326,5 +353,6 @@
 
 ab=linfit(mean_tao, mean_oafl,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -336,9 +364,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -355,5 +388,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -363,9 +397,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_tm=reform(ff(2,*))   & cor_tmi=total(cor_tm)/n_elements(cor_tm)
-bias_tm=reform(ff(3,*))  & bias_tmi=total(bias_tm)/n_elements(bias_tm)
-std_tm=reform(ff(4,*))   & std_tmi=total(std_tm)/n_elements(std_tm)
-rmsd_tm=reform(ff(5,*))  & rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
-mean_tao=reform(ff(6,*))  & mean_tmi=bias_tm+mean_tao
+cor_tm=reform(ff(2,*))   
+cor_tmi=total(cor_tm)/n_elements(cor_tm)
+bias_tm=reform(ff(3,*))  
+bias_tmi=total(bias_tm)/n_elements(bias_tm)
+std_tm=reform(ff(4,*))   
+std_tmi=total(std_tm)/n_elements(std_tm)
+rmsd_tm=reform(ff(5,*))  
+rmsd_tmi=total(rmsd_tm)/n_elements(rmsd_tm)
+mean_tao=reform(ff(6,*))  
+mean_tmi=bias_tm+mean_tao
 
 print, ''
@@ -382,5 +421,6 @@
 
 ab=linfit(mean_tao, mean_tmi,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
@@ -391,9 +431,14 @@
 lat=reform(ff(0,*))
 lon=reform(ff(1,*))
-cor_nce=reform(ff(2,*))   & cor_ncep=total(cor_nce)/n_elements(cor_nce)
-bias_nce=reform(ff(3,*))  & bias_ncep=total(bias_nce)/n_elements(bias_nce)
-std_nce=reform(ff(4,*))   & std_ncep=total(std_nce)/n_elements(std_nce)
-rmsd_nce=reform(ff(5,*))  & rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
-mean_tao=reform(ff(6,*))  & mean_ncep=bias_nce+mean_tao
+cor_nce=reform(ff(2,*))   
+cor_ncep=total(cor_nce)/n_elements(cor_nce)
+bias_nce=reform(ff(3,*))  
+bias_ncep=total(bias_nce)/n_elements(bias_nce)
+std_nce=reform(ff(4,*))   
+std_ncep=total(std_nce)/n_elements(std_nce)
+rmsd_nce=reform(ff(5,*))  
+rmsd_ncep=total(rmsd_nce)/n_elements(rmsd_nce)
+mean_tao=reform(ff(6,*))  
+mean_ncep=bias_nce+mean_tao
 
 print, ''
@@ -410,5 +455,6 @@
 
 ab=linfit(mean_tao, mean_ncep,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1))
+a=float(ab(0)) 
+b=float(ab(1))
 oplot, mean_tao, yfit, color=250, thick=2
 
